Update a custom model
Update a custom model. Only provided fields are updated. The model_name field is read-only. Only the owning organization can update their custom models.
Path parameters
model_name
The model's unique name to update.
Headers
Authorization
Bearer token. Use Bearer YOUR_API_KEY.
Request
This endpoint expects an object.
display_name
Display name.
base_model_name
Base model.
custom_provider_id
Custom provider ID.
input_cost
Cost per 1M input tokens (USD).
output_cost
Cost per 1M output tokens (USD).
cache_hit_input_cost
cache_creation_input_cost
max_context_window
streaming_support
Allowed values:
function_call
Allowed values:
image_support
Allowed values:
supported_params_override
Response
Updated model.
id
Model ID.
model_name
Unique model name.
display_name
Display name.
base_model_name
Base model inherited from.
affiliation_category
Model type.
Allowed values:
input_cost
Cost per 1M input tokens (USD).
output_cost
Cost per 1M output tokens (USD).
cache_hit_input_cost
Cost per 1M cached input tokens (USD).
cache_creation_input_cost
Cost per 1M cache creation tokens (USD).
max_context_window
Maximum context window size.
streaming_support
Streaming support. 0 = no, 1 = yes.
function_call
Function calling support. 0 = no, 1 = yes.
image_support
Image/vision support. 0 = no, 1 = yes.
source
Model source.
Allowed values:
provider
Associated provider.
Errors
401
Unauthorized Error
404
Not Found Error